> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace Team Members

> Replace all direct members. Independent SAML grants remain effective. Requires org:admin.



## OpenAPI

````yaml put /v1/admin/teams/{team_id}/members
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/admin/teams/{team_id}/members:
    put:
      tags:
        - V1 - Teams
      summary: Replace Team Members
      description: >-
        Replace all direct members. Independent SAML grants remain effective.
        Requires org:admin.
      operationId: replace_team_members
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamMembersUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    TeamMembersUpdate:
      properties:
        user_ids:
          items:
            type: string
            format: uuid
          type: array
          maxItems: 1000
          title: User Ids
      type: object
      required:
        - user_ids
      title: TeamMembersUpdate
    TeamResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        members:
          items:
            $ref: '#/components/schemas/TeamMemberResponse'
          type: array
          title: Members
      type: object
      required:
        - id
        - name
        - members
      title: TeamResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TeamMemberResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        email:
          type: string
          title: Email
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        saml_only:
          type: boolean
          title: Saml Only
          default: false
      type: object
      required:
        - id
        - email
      title: TeamMemberResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.